Hotel property data API

Defines Property Data,Rooms,Rates etc.

post
/property_data

The ARI Property Data message defines the information about each property's room types and Rate Plans. Each room type data includes a unique identifier (InvTypeCode), localized name, description, and URLs to room photos. Each Rate plan includes a unique identifier (RatePlanCode), localized name, description, occupancy, and value-adds. You can use a Property Data message to do the following:

1.Define data for one or more properties.

2.Define room type and rate plan information for each property.

3.Control product offerings.

  1. Also, you can set actions to do the following:

Add a room type and rate plan to a property.

Remove a room type and rate plan from a property.

Add a Room-Rate Mapping to a Property

Authorizations
AuthorizationstringRequired
Body

The root element of a HotelPropertyDataNotifRQ message.

EchoTokenstring · min: 1 · max: 100Required

A unique identifier for this request message. This value is returned in the response message. Allowed characters are a-z, A-Z, 0-9, _ (underscore), and - (dash). The minimum length of this identifier is 1 (inclusive) and maximum length is 100 (inclusive)

Example: 5fe69c95ed70a9869d9f9af7d8400a6673bb9ce9Pattern: ^[a-zA-Z0-9_-]{1,}$
Timestampstring · date-timeRequired

The creation date and time of this message. The date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z Format :YYYY-MM-DDTHH:mm:ss.SSS+|-HH:mm[Z]

VersionstringOptional

Current API Version. Example- '1.0'

Example: 1.0
Responses
chevron-right
200

Success Response

Indicates that the request message was processed successfully or not. Either 'Success' or 'Errors' is present in each message.

Timestampstring · date-timeRequired

The creation date and time of this message. The date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z Format :YYYY-MM-DDTHH:mm:ss.SSS+|-HH:mm[Z]

VersionstringOptional

Current API Version. Example- '1.0'

Example: 1.0
EchoTokenstring · min: 1 · max: 100Required

A unique identifier for this request message. This value is returned in the response message. Allowed characters are a-z, A-Z, 0-9, _ (underscore), and - (dash). The minimum length of this identifier is 1 (inclusive) and maximum length is 100 (inclusive)

Example: 5fe69c95ed70a9869d9f9af7d8400a6673bb9ce9Pattern: ^[a-zA-Z0-9_-]{1,}$
SuccessobjectOptional

Indicates that the request message was processed successfully

post
/property_data

Get property Data by hotel code

get
/property_data/{hotelCode}
Authorizations
AuthorizationstringRequired
Path parameters
hotelCodestringRequired
Query parameters
Requester_IDstringOptional
Responses
chevron-right
200

Success

application/json

Get the whole information of property from the database.

Timestampstring · date-timeOptional

The creation date and time of this message. The date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z Format :YYYY-MM-DDTHH:mm:ss.SSS+|-HH:mm[Z]

VersionstringOptional

Current API Version. Example- '1.0'

Example: 1.0
EcoTokenstring · min: 1 · max: 100Optional

A unique identifier for this request message. This value is returned in the response message. Allowed characters are a-z, A-Z, 0-9, _ (underscore), and - (dash). The minimum length of this identifier is 1 (inclusive) and maximum length is 100 (inclusive)

Example: 5fe69c95ed70a9869d9f9af7d8400a6673bb9ce9Pattern: ^[a-zA-Z0-9_-]{1,}$
get
/property_data/{hotelCode}
200

Success

Last updated